Bug 219806 - Web Inspector: Add icon for collapsed blackboxed section
Summary: Web Inspector: Add icon for collapsed blackboxed section
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on: 216897
Blocks: 234581
  Show dependency treegraph
 
Reported: 2020-12-11 15:05 PST by Nikita Vasilyev
Modified: 2022-01-04 13:44 PST (History)
6 users (show)

See Also:


Attachments
Patch (2.89 KB, patch)
2022-01-04 12:22 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
[Image] after Patch is applied (dark) (1.31 MB, image/png)
2022-01-04 12:24 PST, Devin Rousso
no flags Details
[Image] after Patch is applied (light) (1.28 MB, image/png)
2022-01-04 12:24 PST, Devin Rousso
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikita Vasilyev 2020-12-11 15:05:07 PST
Could be a literal black box, could be something else.
Comment 1 Radar WebKit Bug Importer 2020-12-11 15:05:20 PST
<rdar://problem/72240360>
Comment 2 Nikita Vasilyev 2021-01-14 09:45:40 PST
No icons needs to be added if you use the existing `[?]` icon, which is my current plan. I’ll reopen if we decide to use another icon.
Comment 3 Devin Rousso 2021-12-22 12:55:55 PST
I don't think [?] is a good icon to convey "blackboxed".  I think we should either use the eye or some other icon so that it's visually clear that the blackboxed "group" is not a normal call frame.
Comment 4 Devin Rousso 2022-01-04 12:22:53 PST
Created attachment 448319 [details]
Patch
Comment 5 Devin Rousso 2022-01-04 12:24:16 PST
Created attachment 448321 [details]
[Image] after Patch is applied (dark)
Comment 6 Devin Rousso 2022-01-04 12:24:34 PST
Created attachment 448322 [details]
[Image] after Patch is applied (light)
Comment 7 Joseph Pecoraro 2022-01-04 12:27:46 PST
Comment on attachment 448319 [details]
Patch

Neat! Looks nice
Comment 8 Patrick Angle 2022-01-04 13:10:28 PST
Comment on attachment 448319 [details]
Patch

r=me
Comment 9 EWS 2022-01-04 13:44:06 PST
Committed r287586 (245715@main): <https://commits.webkit.org/245715@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 448319 [details].